name: FLOW GloBE study
site: !include FLOW_GLOBE_energy_site.yaml
wind_farm: !include FLOW_GLOBE_wind_farm_multipleTurbines.yaml
attributes:
  flow_model:
    name: wayve
  analysis: !include analysis.yaml

  model_outputs_specification:
    output_folder: "results"
    #
    cases_run:
      all_occurences: True
      subset: [1]
    #
    turbine_outputs:
      turbine_nc_filename: 'turbine_data.nc' # dimension = states, turbine
      output_variables: ['power', 'rotor_effective_velocity'] #'frequency'
    #
    flow_field:
      report: True
      flow_nc_filename: flow_field.nc
      output_variables: ['wind_speed', 'wind_direction']
      z_planes:
        z_sampling: "hub_heights"
        xy_sampling: "original_grid"
        x_bounds: [-1000, 5000]
        y_bounds: [-1000, 1000]
        dx: 150
        dy: 150

output:
  flow_field: !include flow_field.nc
  turbine_data: !include turbine_data.nc